Package org.opensaml.xacml.ctx

# Interface RequestType

All Superinterfaces:
  `XACMLObject`, `XMLObject`

All Known Implementing Classes:
  `RequestTypeImpl`

public interface RequestType extends XACMLObject
XACML context Request schema type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`ActionType`
`getAction()`
Gets the action from the request.
`EnvironmentType`
`getEnvironment()`
Gets the environment from the request.
`List<ResourceType>`
`getResources()`
Gets the resources from the request.
`List<SubjectType>`
`getSubjects()`
Gets the subjects from the request.
`void`
`setAction(ActionType newAction)`
Sets the action of the request.
`void`
`setEnvironment(EnvironmentType environment)`
Sets the environment of the request.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getSubjects

List<SubjectType> getSubjects()
Gets the subjects from the request.

Returns:
  the subjects from the request

### getResources

List<ResourceType> getResources()
Gets the resources from the request.

Returns:
  the resources from the request

### getAction

ActionType getAction()
Gets the action from the request.

Returns:
  the action from the request

### setAction

void setAction(ActionType newAction)
Sets the action of the request.

Parameters:
  `newAction` - action of the request

### getEnvironment

EnvironmentType getEnvironment()
Gets the environment from the request.

Returns:
  the environment from the request

### setEnvironment

void setEnvironment(EnvironmentType environment)
Sets the environment of the request.

Parameters:
  `environment` - environment of the request